if($Pref::LoadingScreenMusicName $= "")
	$Pref::LoadingScreenMusicName = "LoadingScreenMusic";

new AudioDescription(loadingScreenLoop)
{
	volume      = 1.0;
	isLooping   = true;
	is3D        = false;
};

new AudioProfile(loadingScreenMusic)
{
	fileName    = "Add-Ons/Music/" @ $Pref::LoadingScreenMusicName @ ".ogg";
	description = "loadingScreenLoop";
	preload = true;
};

package loadingScreenMusicPackage
{
	function LoadingGui::onWake(%this)
	{
		Parent::onWake(%this);

		alxStop($loadingScreenMusic);

		if(isFile("Add-Ons/Music/" @ $Pref::LoadingScreenMusicName @ ".ogg"))
			$loadingScreenMusic = alxPlay(loadingScreenMusic);
	}

	function handleYourSpawn()
	{
		Parent::handleYourSpawn();

		alxStop($loadingScreenMusic);
	}
};
activatePackage(loadingScreenMusicPackage);

function setLoadingScreenMusic(%fileName)
{
	if($Pref::LoadingScreenMusicName !$= "")
	{
		if(isObject(loadingScreenLoop))
			loadingScreenLoop.delete();

		if(isObject(loadingScreenMusic))
			loadingScreenMusic.delete();

		new AudioDescription(loadingScreenLoop)
		{
			volume      = 1.0;
			isLooping   = true;
			is3D        = false;
		};

		new AudioProfile(loadingScreenMusic)
		{
			fileName    = "Add-Ons/Music/" @ %fileName @ ".ogg";
			description = "loadingScreenLoop";
			preload = true;
		};

		$Pref::LoadingScreenMusicName = %fileName;

		if(LoadingGui.isAwake() && isFile("Add-Ons/Music/" @ $Pref::LoadingScreenMusicName @ ".ogg"))
		{
			alxStop($loadingScreenMusic);
			$loadingScreenMusic = alxPlay(loadingScreenMusic);
		}
	}
}